Skip to main content
GET
Search reports

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

after
string

A cursor token for pagination. Use the value from the previous response's paging.next.after field.

archived
boolean

Whether to retrieve archived reports only. Default false.

businessUnitIds
string[]

Filter to reports that are a part of the specified business units.

createdAfter
string<date-time>

Filter to reports created after a specific date and time.

createdBefore
string<date-time>

Filter to reports created before a specific date and time.

dashboardId
string

Filter to reports on the specified dashboard.

ids
string[]

Filter to reports with the specified IDs.

limit
integer<int32>

The maximum number of results to display per page. Default 25, max 100.

onDashboard
boolean

Filter to reports that are on, or not on, any dashboard. Unset by default.

onlyFavorites
boolean

Filter to only reports that are favorited by the requesting user. Default false.

ownerUserIds
string[]

Filter to reports owned by the specified users.

properties
string[]

Additionally properties to include in the response. Refer to the response details for available fields.

q
string

Filter to reports whose name or description contains the search string.

sort
string[]

Sort field and direction. Supported fields are name, updatedAt, and lastViewedAt. Defaults to -updatedAt

tagIds
string[]

Filter to reports tagged with the specified tags.

updatedAfter
string<date-time>

Filter to reports updated after a specific date and time.

updatedBefore
string<date-time>

Filter to reports updated before a specific date and time.

Response

successful operation

results
object[]
required

An array of report objects.

total
integer<int32>
required

The total number of reports available.

paging
object

Represents the pagination information for navigating through a list of results in the API. It provides details on how to access the previous or next set of results.

Last modified on September 15, 2026